
Ryzom - Bug # 1521

Status: Rejected Priority: High
Author: shackra Category: Build
Created: 01/28/2013 Assignee:
Updated: 04/25/2013 Due date:
Subject: Error at Built target ryzom_clientsheets
Description

Something goes wrong with the Ryzom client... I'm getting the code from https://bitbucket.org/ryzom/ryzomcore

Linking CXX shared library ../../../../lib/libryzom_clientsheets.so
[ 68%] Built target ryzom_clientsheets
Scanning dependencies of target ryzom_client
[ 68%] Building CXX object ryzom/client/src/CMakeFiles/ryzom_client.dir/weather_setup_client.cpp.o
[ 68%] Building CXX object ryzom/client/src/CMakeFiles/ryzom_client.dir/lod_character_user_manager.cpp.o
[ 68%] Building CXX object ryzom/client/src/CMakeFiles/ryzom_client.dir/release.cpp.o
In file included from
/build/src/ryzomcore/code/ryzom/common/src/game_share/time_weather_season/static_light_cycle.h:23:0,
                 from /build/src/ryzomcore/code/ryzom/common/src/game_share/time_weather_season/time_and_season.h:40,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/../time_client.h:31,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/group_in_scene_bubble.h:24,
                 from /build/src/ryzomcore/code/ryzom/client/src/3d_notes.h:23,
                 from /build/src/ryzomcore/code/ryzom/client/src/global.h:22,
                 from /build/src/ryzomcore/code/ryzom/client/src/release.cpp:39:
/build/src/ryzomcore/code/nel/include/nel/georges/load_form.h:112:37: warning: multi-character character constant
[-Wmultichar]
In file included from /build/src/ryzomcore/code/ryzom/client/src/entity_cl.h:60:0,
                 from /build/src/ryzomcore/code/ryzom/client/src/character_cl.h:34,
                 from /build/src/ryzomcore/code/ryzom/client/src/player_cl.h:31,
                 from /build/src/ryzomcore/code/ryzom/client/src/user_entity.h:34,
                 from /build/src/ryzomcore/code/ryzom/client/src/entities.h:31,
                 from /build/src/ryzomcore/code/ryzom/client/src/release.cpp:43:
/build/src/ryzomcore/code/ryzom/client/src/string_manager_client.h:344:26: warning: multi-character character constant
[-Wmultichar]
/build/src/ryzomcore/code/ryzom/client/src/string_manager_client.h:345:26: warning: multi-character character constant
[-Wmultichar]
In file included from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/lua_object.h:24:0,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/reflect.h:24,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/interface_element.h:26,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/view_base.h:24,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/ctrl_base.h:23,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/interface_group.h:22,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/group_container.h:22,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/group_in_scene.h:24,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/group_in_scene_bubble.h:25,
                 from /build/src/ryzomcore/code/ryzom/client/src/3d_notes.h:23,
                 from /build/src/ryzomcore/code/ryzom/client/src/global.h:22,
                 from /build/src/ryzomcore/code/ryzom/client/src/release.cpp:39:
/build/src/ryzomcore/code/ryzom/client/src/interface_v3/lua_helper.h:295:106: error: 'LUA_GLOBALSINDEX' was not declared
in this scope
In file included from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/lua_helper.h:374:0,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/lua_object.h:24,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/reflect.h:24,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/interface_element.h:26,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/view_base.h:24,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/ctrl_base.h:23,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/interface_group.h:22,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/group_container.h:22,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/group_in_scene.h:24,
                 from /build/src/ryzomcore/code/ryzom/client/src/interface_v3/group_in_scene_bubble.h:25,
                 from /build/src/ryzomcore/code/ryzom/client/src/3d_notes.h:23,
                 from /build/src/ryzomcore/code/ryzom/client/src/global.h:22,
                 from /build/src/ryzomcore/code/ryzom/client/src/release.cpp:39:
/build/src/ryzomcore/code/ryzom/client/src/interface_v3/lua_helper_inline.h: In member function 'void
CLuaState::checkIndex(int)':
/build/src/ryzomcore/code/ryzom/client/src/interface_v3/lua_helper_inline.h:45:2: error: 'LUA_GLOBALSINDEX' was not
declared in this scope
/build/src/ryzomcore/code/ryzom/client/src/interface_v3/lua_helper_inline.h: In member function 'size_t CLuaState::strlen(int)':
/build/src/ryzomcore/code/ryzom/client/src/interface_v3/lua_helper_inline.h:246:33: error: 'lua_strlen' was not declared in this
scope
/build/src/ryzomcore/code/ryzom/client/src/interface_v3/lua_helper_inline.h: In member function 'bool CLuaState::equal(int,
int)':
/build/src/ryzomcore/code/ryzom/client/src/interface_v3/lua_helper_inline.h:345:41: error: 'lua_equal' was not declared in this
scope
/build/src/ryzomcore/code/ryzom/client/src/interface_v3/lua_helper_inline.h: In member function 'bool CLuaState::lessThan(int,
int)':
/build/src/ryzomcore/code/ryzom/client/src/interface_v3/lua_helper_inline.h:379:44: error: 'lua_lessthan' was not declared in
this scope
make[2]: *** [ryzom/client/src/CMakeFiles/ryzom_client.dir/release.cpp.o] Error 1
make[1]: *** [ryzom/client/src/CMakeFiles/ryzom_client.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Build failed, check /mnt/building/root/build
==> ERROR: (libremakepkg): An unknown error has occurred. Exiting...

:)

History
#1 - 01/28/2013 09:03 am - kervala

Please what Lua version are you using ?

Luabind and Ryzom are not compatible with Lua 5.2

#2 - 03/01/2013 10:23 pm - shackra

kervala wrote:

Please what Lua version are you using ?
Luabind and Ryzom are not compatible with Lua 5.2

Sorry, I didn't receive the notification that you updated my bug report.
Well, I'm using lua 5.2.1. Arch Linux folks have this problem too.

jorge [~] ~> LC_ALL=C pacman -Qi lua
Name           : lua
Version        : 5.2.1-3
URL            : http://www.lua.org/
Licenses       : MIT
Groups         : None
Provides       : None
Depends On     : readline
Optional Deps  : None
Required By    : gnuplot  libquvi  libquvi-scripts  lua-sql-mysql  nmap  wesnoth
Conflicts With : None
Replaces       : None
Installed Size : 1392.00 KiB
Packager       : Eric Belanger <eric@archlinux.org>
Architecture   : x86_64
Build Date     : Tue Dec 11 15:55:26 2012
Install Date   : Thu Jan 10 13:15:43 2013
Install Reason : Explicitly installed
Install Script : No
Description    : A powerful light-weight programming language designed for extending applications

jorge [~] ~> 

any suggestion? D: (Downgrade is not possible!)

#3 - 03/01/2013 10:40 pm - kervala

Lua 5.2.1 is a Lua 5.2 version :p Ryzom Core and Luabind are not compatible with Lua 5.2.x so you have 2 choices :

    -  implement Lua 5.2 compatibility for Luabind and Ryzom Core :p
    -  download and compile Lua 5.1.x from sources :)

shackra wrote:

kervala wrote:

Please what Lua version are you using ?

Luabind and Ryzom are not compatible with Lua 5.2

Sorry, I didn't receive the notification that you updated my bug report.
Well, I'm using lua 5.2.1. Arch Linux folks have this problem too.

[...]
any suggestion? D: (Downgrade is not possible!)

#4 - 03/02/2013 07:59 am - shackra

kervala wrote:

Lua 5.2.1 is a Lua 5.2 version :p Ryzom Core and Luabind are not compatible with Lua 5.2.x so you have 2 choices :
    -  implement Lua 5.2 compatibility for Luabind and Ryzom Core :p
    -  download and compile Lua 5.1.x from sources :)

shackra wrote:

kervala wrote:

Please what Lua version are you using ?

Luabind and Ryzom are not compatible with Lua 5.2

Sorry, I didn't receive the notification that you updated my bug report.
Well, I'm using lua 5.2.1. Arch Linux folks have this problem too.

[...]

any suggestion? D: (Downgrade is not possible!)

That's no cool my friend, no cool at all D:
Those users from Arch Linux and Parabola wouldn't be able to compile Ryzom for their distros :-/

and implementing Lua 5.2 in Ryzom Core looks like a neverending-task/a-big-change-on-the-source-code :S :(

#5 - 03/02/2013 11:08 am - kervala

Are you sure there is no Lua 5.1 anymore ?

Because I found that https://www.archlinux.org/packages/extra/i686/lua51/

shackra wrote:

kervala wrote:

Lua 5.2.1 is a Lua 5.2 version :p Ryzom Core and Luabind are not compatible with Lua 5.2.x so you have 2 choices :
    -  implement Lua 5.2 compatibility for Luabind and Ryzom Core :p
    -  download and compile Lua 5.1.x from sources :)

shackra wrote:

kervala wrote:

Please what Lua version are you using ?
Luabind and Ryzom are not compatible with Lua 5.2

Sorry, I didn't receive the notification that you updated my bug report.
Well, I'm using lua 5.2.1. Arch Linux folks have this problem too.

[...]

any suggestion? D: (Downgrade is not possible!)

That's no cool my friend, no cool at all D:
Those users from Arch Linux and Parabola wouldn't be able to compile Ryzom for their distros :-/

and implementing Lua 5.2 in Ryzom Core looks like a neverending-task/a-big-change-on-the-source-code :S :(

#6 - 03/03/2013 01:01 am - shackra

kervala wrote:

Are you sure there is no Lua 5.1 anymore ?

Because I found that https://www.archlinux.org/packages/extra/i686/lua51/

shackra wrote:

kervala wrote:

Lua 5.2.1 is a Lua 5.2 version :p Ryzom Core and Luabind are not compatible with Lua 5.2.x so you have 2 choices :
    -  implement Lua 5.2 compatibility for Luabind and Ryzom Core :p
    -  download and compile Lua 5.1.x from sources :)

shackra wrote:

kervala wrote:

Please what Lua version are you using ?

Luabind and Ryzom are not compatible with Lua 5.2

Sorry, I didn't receive the notification that you updated my bug report.
Well, I'm using lua 5.2.1. Arch Linux folks have this problem too.

[...]

any suggestion? D: (Downgrade is not possible!)

That's no cool my friend, no cool at all D:
Those users from Arch Linux and Parabola wouldn't be able to compile Ryzom for their distros :-/

and implementing Lua 5.2 in Ryzom Core looks like a neverending-task/a-big-change-on-the-source-code :S :(
indeed, I was wrong! there is a package called "lua51", I have to tell to Thaodan that he needs to change that dependency to lua51!

that change should fix the problem!

#7 - 03/03/2013 01:27 am - Thaodan

How say cmake to use lua51 instead lua without removing lua?

#8 - 03/03/2013 09:45 pm - shackra

Thaodan wrote:

How say cmake to use lua51 instead lua without removing lua?

-DWITH_LUA51=ON

#9 - 04/25/2013 12:34 am - shackra

This bug can be closed as well :)

#10 - 04/25/2013 01:05 pm - kervala
- Status changed from New to Rejected

Thanks ! Good to know :)
